Saltar al contenido principal

Wallet Signature

9 endpoints

POST /users/{user}/wallets/{wallet}/sign-tx Sign transaction

Sign a transaction with the specified user's wallet. Either tx, txJson or qubicTxJson must be present in the body.

Parameters

user required
string · path
id parameter must be included in the URI
wallet required
string · path
id parameter must be included in the URI

Request Body

tx
string
Serialized transaction
txJson
object
Sign transaction fields
qubicTxJson
object
Sign transaction fields
externalReference
string
Reference to external signed Transaction ID

Responses

200
400 Bad request
401 Unauthorized
POST https://api.qa.onyze.pro/v1/users/{user}/wallets/{wallet}/sign-tx
Request body
{
"tx": "0xf86b80843b9aca008252089400d8da6bf26964af9d7eed9e03e53415d37aa960458830f42408026a0b8b4f7f3a4",
"txJson": {
"to": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
"value": "1000",
"gasPrice": "25000000000",
"gasLimit": "5000",
"maxPriorityFeePerGas": "2000000000",
"maxFeePerGas": "25000000000",
"nonce": "10",
"data": "0x123456789abcdef"
},
"qubicTxJson": {
"destinationPublicKey": "HYROVSDKTKFFVEXFZQCYTSXWENJBYGWVNTSBPYGGADAKAEVYVXRHBXUBDLHJ",
"amount": "1000",
"type": 0,
"tick": 20808608
},
"externalReference": "External signed Transaction ID"
}
Response 200
{
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
}
GET /users/{user}/wallets/{wallet}/sign-tx List all signed transactions

Lists all existing signed transactions.

Parameters

user required
string · path
id parameter must be included in the URI
wallet required
string · path
id parameter must be included in the URI
externalReference
string · query
Reference to external transaction ID
page
number · query
Page number of the records list
limit
number · query
Max number of records by page. limit=0 to return all records
sort
string · query
Sort the response PARAM or -PARAM

Responses

200
400 Bad request
401 Unauthorized
404 Not found
GET https://api.qa.onyze.pro/v1/users/{user}/wallets/{wallet}/sign-tx
Response 200
[
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"signedTx": "0x58e5a0fc7fbc849eddc100d44e86276168a8c7baaa5604e44ba6f5eb8ba1b7eb",
"walletId": "1KUEUVh45uK6m83L4LTNF9D4Txi7KSEBxx",
"to": "1KUEUVh45uK6m83L4LTNF9D4Txi7KSEBxx",
"value": "10.000001",
"gasPrice": "10.000001",
"nonce": "10.000001",
"gasLimit": "10.000001",
"data": "0x",
"status": "sent"
}
]
GET /users/{user}/wallets/{wallet}/sign-tx/{txId} Find signed transaction by id

Retrieves an existing signed transaction by its id.

Parameters

user required
string · path
id parameter must be included in the URI
wallet required
string · path
id parameter must be included in the URI
txId required
string · path
id parameter must be included in the URI
page
number · query
Page number of the records list
limit
number · query
Max number of records by page. limit=0 to return all records
sort
string · query
Sort the response PARAM or -PARAM

Responses

200
400 Bad request
401 Unauthorized
404 Not found
GET https://api.qa.onyze.pro/v1/users/{user}/wallets/{wallet}/sign-tx/{txId}
Response 200
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"signedTx": "0x58e5a0fc7fbc849eddc100d44e86276168a8c7baaa5604e44ba6f5eb8ba1b7eb",
"walletId": "1KUEUVh45uK6m83L4LTNF9D4Txi7KSEBxx",
"to": "1KUEUVh45uK6m83L4LTNF9D4Txi7KSEBxx",
"value": "10.000001",
"gasPrice": "10.000001",
"nonce": "10.000001",
"gasLimit": "10.000001",
"data": "0x",
"status": "sent"
}
POST /users/{user}/wallets/{wallet}/sign-message Sign an arbitrary message.

Sign an arbitrary message.

Parameters

user required
string · path
id parameter must be included in the URI
wallet required
string · path
id parameter must be included in the URI

Request Body

message required
string
Message to be signed
externalReference
string
Reference to external signed Message ID

Responses

200
400 Bad request
401 Unauthorized
POST https://api.qa.onyze.pro/v1/users/{user}/wallets/{wallet}/sign-message
Request body
{
"message": "Authorization for asset transfer: Transfer 10 ETH to address 0x3333333333333333333333333333333333333333",
"externalReference": "ac908863-b739-4881-8bc4-018a4e222a7a"
}
Response 200
{
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
}
GET /users/{user}/wallets/{wallet}/sign-message List all signed message

Lists all existing signed messages.

Parameters

user required
string · path
id parameter must be included in the URI
wallet required
string · path
id parameter must be included in the URI
externalReference
string · query
Reference to external signed Message ID
page
number · query
Page number of the records list
limit
number · query
Max number of records by page. limit=0 to return all records
sort
string · query
Sort the response PARAM or -PARAM

Responses

200
400 Bad request
401 Unauthorized
404 Not found
GET https://api.qa.onyze.pro/v1/users/{user}/wallets/{wallet}/sign-message
Response 200
[
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"signedMessage": "0x58e5a0fc7fbc849eddc100d44e86276168a8c7baaa5604e44ba6f5eb8ba1b7eb",
"userId": "t53GnMgqm",
"walletId": "duSOQkCyT",
"message": "0x123",
"status": "sent",
"externalReference": "External signed Message ID"
}
]
GET /users/{user}/wallets/{wallet}/sign-message/{signedMsgId} Find signed message by id

Retrieves an existing signed message by its id.

Parameters

user required
string · path
id parameter must be included in the URI
wallet required
string · path
id parameter must be included in the URI
signedMsgId required
string · path
id parameter must be included in the URI
page
number · query
Page number of the records list
limit
number · query
Max number of records by page. limit=0 to return all records
sort
string · query
Sort the response PARAM or -PARAM

Responses

200
400 Bad request
401 Unauthorized
404 Not found
GET https://api.qa.onyze.pro/v1/users/{user}/wallets/{wallet}/sign-message/{signedMsgId}
Response 200
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"signedMessage": "0x58e5a0fc7fbc849eddc100d44e86276168a8c7baaa5604e44ba6f5eb8ba1b7eb",
"userId": "t53GnMgqm",
"walletId": "duSOQkCyT",
"message": "0x123",
"status": "sent",
"externalReference": "External signed Message ID"
}
POST /users/{user}/wallets/{wallet}/sign-typed-data Sign typed data.

Sign typed data.

Parameters

user required
string · path
id parameter must be included in the URI
wallet required
string · path
id parameter must be included in the URI

Request Body

typedData required
object
Typed data to be signed.
externalReference
string
Reference to external signed Typed data ID.

Responses

200
400 Bad request
401 Unauthorized
POST https://api.qa.onyze.pro/v1/users/{user}/wallets/{wallet}/sign-typed-data
Request body
{
"typedData": {
"domain": {
"name": "My amazing dApp",
"version": "1",
"chainId": "1",
"verifyingContract": "0xe2ed0a3C0BD1C914b2d699E8e02d3a3110cD58a1"
},
"types": {
"Bid": [
{
"name": "amount",
"type": "uint256"
},
{
"name": "bidder",
"type": "Identity"
}
],
"Identity": [
{
"name": "userId",
"type": "uint256"
},
{
"name": "wallet",
"type": "address"
}
]
},
"value": {
"amount": "100",
"bidder": {
"userId": "323",
"wallet": "0x3333333333333333333333333333333333333333"
},
"primaryType": "Bid"
}
},
"externalReference": "ac908863-b739-4881-8bc4-018a4e222a7a"
}
Response 200
{
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
}
GET /users/{user}/wallets/{wallet}/sign-typed-data List all signed typed data

Retrieves a list of existing signed type data.

Parameters

user required
string · path
id parameter must be included in the URI
wallet required
string · path
id parameter must be included in the URI
externalReference
string · query
Reference to external signed typed data ID
page
number · query
Page number of the records list
limit
number · query
Max number of records by page. limit=0 to return all records
sort
string · query
Sort the response PARAM or -PARAM

Responses

200
400 Bad request
401 Unauthorized
404 Not found
GET https://api.qa.onyze.pro/v1/users/{user}/wallets/{wallet}/sign-typed-data
Response 200
[
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"signedTypedData": "0x58e5a0fc7fbc849eddc100d44e86276168a8c7baaa5604e44ba6f5eb8ba1b7eb",
"userId": "t53GnMgqm",
"walletId": "duSOQkCyT",
"typedData": {
"domain": {
"name": "My amazing dApp",
"version": "1",
"chainId": "1",
"verifyingContract": "0xe2ed0a3C0BD1C914b2d699E8e02d3a3110cD58a1"
},
"types": {
"Bid": [
{
"name": "amount",
"type": "uint256"
},
{
"name": "bidder",
"type": "Identity"
}
],
"Identity": [
{
"name": "userId",
"type": "uint256"
},
{
"name": "wallet",
"type": "address"
}
]
},
"value": {
"amount": "100",
"bidder": {
"userId": "323",
"wallet": "0x3333333333333333333333333333333333333333"
},
"primaryType": "Bid"
}
},
"status": "sent",
"externalReference": "External signed Typed data ID"
}
]
GET /users/{user}/wallets/{wallet}/sign-typed-data/{signedTypedDataId} Find signed typed data by id

Retrieves an existing signed typed data by its id.

Parameters

user required
string · path
id parameter must be included in the URI
wallet required
string · path
id parameter must be included in the URI
signedTypedDataId required
string · path
page
number · query
Page number of the records list
limit
number · query
Max number of records by page. limit=0 to return all records
sort
string · query
Sort the response PARAM or -PARAM
signedMsgId required
object · path
id parameter must be included in the URI

Responses

200
400 Bad request
401 Unauthorized
404 Not found
GET https://api.qa.onyze.pro/v1/users/{user}/wallets/{wallet}/sign-typed-data/{signedTypedDataId}
Response 200
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"signedTypedData": "0x58e5a0fc7fbc849eddc100d44e86276168a8c7baaa5604e44ba6f5eb8ba1b7eb",
"userId": "t53GnMgqm",
"walletId": "duSOQkCyT",
"typedData": {
"domain": {
"name": "My amazing dApp",
"version": "1",
"chainId": "1",
"verifyingContract": "0xe2ed0a3C0BD1C914b2d699E8e02d3a3110cD58a1"
},
"types": {
"Bid": [
{
"name": "amount",
"type": "uint256"
},
{
"name": "bidder",
"type": "Identity"
}
],
"Identity": [
{
"name": "userId",
"type": "uint256"
},
{
"name": "wallet",
"type": "address"
}
]
},
"value": {
"amount": "100",
"bidder": {
"userId": "323",
"wallet": "0x3333333333333333333333333333333333333333"
},
"primaryType": "Bid"
}
},
"status": "sent",
"externalReference": "External signed Typed data ID"
}